Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.javac
Class JavaStubGenerator

Field Summary
`boolean` | `java5`
`File` | `outputPath`
`ArrayList` | `propertyMethods`
`boolean` | `requireSuperResolved`
`List` | `toCompile`

Constructor Summary
`JavaStubGenerator(File outputPath, boolean requireSuperResolved, boolean java5)`
`JavaStubGenerator(File outputPath)`

Method Summary
`void` | `clean()`
`void` | `genConstructor(ClassNode clazz, ConstructorNode constructorNode, PrintWriter out)`
`void` | `genEnumFields(List fields, PrintWriter out)`
`void` | `genField(FieldNode fieldNode, PrintWriter out)`
`void` | `genFields(ClassNode classNode, PrintWriter out, boolean isEnum)`
`void` | `genImports(ClassNode classNode, PrintWriter out)`
`void` | `genMethod(ClassNode clazz, MethodNode methodNode, PrintWriter out)`
`void` | `genMethods(ClassNode classNode, PrintWriter out, boolean isEnum)`
`void` | `genSpecialConstructorArgs(PrintWriter out, ConstructorNode node, ConstructorCallExpression constrCall)`
`void` | `generateClass(ClassNode classNode)`
`ConstructorCallExpression` | `getConstructorCallExpression(ConstructorNode constructorNode)`
`void` | `getConstructors(ClassNode classNode, PrintWriter out)`
`void` | `mkdirs(File parent, String relativeFile)`
`void` | `printDefaultValue(PrintWriter out, ClassNode type)`
`void` | `printModifiers(PrintWriter out, int modifiers)`
`void` | `printParams(MethodNode methodNode, PrintWriter out)`
`void` | `printReturn(PrintWriter out, ClassNode retType)`
`void` | `printType(ClassNode type, PrintWriter out)`
`void` | `printTypeName(ClassNode type, PrintWriter out)`
`def` | `selectAccessibleConstructorFromSuper(ConstructorNode node)`
`void` | `writeGenericsBounds(PrintWriter out, ClassNode type, boolean skipName)`
`void` | `writeGenericsBounds(PrintWriter out, def genericsTypes)`
`void` | `writeGenericsBounds(PrintWriter out, GenericsType genericsType)`

Constructor Detail

### JavaStubGenerator

    public JavaStubGenerator(File outputPath, boolean requireSuperResolved, boolean java5)

### JavaStubGenerator

    public JavaStubGenerator(File outputPath)

Method Detail

### clean

    public void clean()

### genConstructor

    void genConstructor(ClassNode clazz, ConstructorNode constructorNode, PrintWriter out)

### genEnumFields

    void genEnumFields(List fields, PrintWriter out)

### genField

    void genField(FieldNode fieldNode, PrintWriter out)

### genFields

    void genFields(ClassNode classNode, PrintWriter out, boolean isEnum)

### genImports

    void genImports(ClassNode classNode, PrintWriter out)

### genMethod

    void genMethod(ClassNode clazz, MethodNode methodNode, PrintWriter out)

### genMethods

    void genMethods(ClassNode classNode, PrintWriter out, boolean isEnum)

### genSpecialConstructorArgs

    void genSpecialConstructorArgs(PrintWriter out, ConstructorNode node, ConstructorCallExpression constrCall)

### generateClass

    public void generateClass(ClassNode classNode)

### getConstructorCallExpression

    ConstructorCallExpression getConstructorCallExpression(ConstructorNode constructorNode)

### getConstructors

    void getConstructors(ClassNode classNode, PrintWriter out)

### mkdirs

    void mkdirs(File parent, String relativeFile)

### printDefaultValue

    void printDefaultValue(PrintWriter out, ClassNode type)

### printModifiers

    void printModifiers(PrintWriter out, int modifiers)

### printParams

    void printParams(MethodNode methodNode, PrintWriter out)

### printReturn

    void printReturn(PrintWriter out, ClassNode retType)

### printType

    void printType(ClassNode type, PrintWriter out)

### printTypeName

    void printTypeName(ClassNode type, PrintWriter out)

### selectAccessibleConstructorFromSuper

    def selectAccessibleConstructorFromSuper(ConstructorNode node)

### writeGenericsBounds

    void writeGenericsBounds(PrintWriter out, ClassNode type, boolean skipName)

### writeGenericsBounds

    void writeGenericsBounds(PrintWriter out, def genericsTypes)

### writeGenericsBounds

    void writeGenericsBounds(PrintWriter out, GenericsType genericsType)